using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using StudentDAL;
using StudentDAL.Repos;
using StudentModels;

namespace StudentTestingConsoleApp
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var personRepo = new PersonRepository(new StudentContext()))
            {
                foreach (var person in personRepo.All.ToList())
                {
                    Console.WriteLine("FirstName: "+person.FirstName+" LastName:"+person.LastName);
                }
            }
            Console.WriteLine("------- ALL DONE -------");
            Console.ReadLine();
        }
    }
}
